Subject: RE: /proc/cpuinfo
From: Diego Biurrun <[email-masked]>
To: Chris January <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 08 May 2003 10:57:44 +0200

Chris January writes:
 > > The interesting field is flags, which we use in our configure script
 > > to check for processor capabilities and later optimize for the ones we
 > > find.  Cygwin detects/displays less flags than Linux:
 > >
 > > flags           : fpu vme de pse tsc msr mce cx8 pge mmx
 > > flags		: fpu vme de pse tsc msr mce cx8 pge mmx syscall
 > > 3dnowext 3dnow k6_mtrr
 > >
 > > This is a pity as I now loose 3dnow and mtrr optimizations without
 > > manual tweaking.
 > >
 > > I know that /proc/cpuinfo is very new on Cygwin.  Is the lack of some
 > > flags a bug, or is this just implemented in a different way.  Any
 > > chance of supporting those flags in the future?
 > >
 > > If somebody decides to extends /proc/cpuinfo that would be
 > > tremendously appreciated.  I'm not expecting anything, of course, just
 > > hoping.
 > I used the Intel list of flags, but the list is slightly different on AMD
 > (e.g. 3dnow). If you can find and send me a list of the cpuid features flags
 > for AMD processors I'll add this in.

Here is a link I was told about:

http://www.sandpile.org/ia32/cpuid.htm

and the other one posted before for easy reference:

http://www.amd.com/us-en/assets/content_type/white_papers_and_tech_docs/20734.pdf

Please let me know if you need more information, I'll do my best to
provide it to you.  If you should get around to implementing something
I would very much appreciate if you could drop me a short note and I
will gladly help you with testing.
Thanks a lot

Diego

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/